Train one epoch with a set of training data

- « fann_test

- fann_train_on_data »

- PHP Manual
- Fann Functions
- Train one epoch with a set of training data

# fann_train_epoch

(PECL fann >= 1.0.0)

fann_train_epoch — Train one epoch with a set of training data

### Description

fann_train_epoch(resource `$ann`, resource `$data`): float

Train one epoch with the training data stored in data. One epoch is where all of the training data is considered exactly once.

This function returns the MSE error as it is calculated either before or during the actual training. This is not the actual MSE after the training epoch, but since calculating this will require to go through the entire training set once more. It is more than adequate to use this value during training.

The training algorithm used by this function is chosen by fann_set_training_algorithm() function.

### Parameters

`ann`

  Neural network resource.

`data`

  Neural network training data resource.

### Return Values

The MSE, or `false` on error.

### See Also

- fann_train_on_data() - Trains on an entire dataset for a period of time
- fann_test_data() - Test a set of training data and calculates the MSE for the training data
- fann_get_MSE() - Reads the mean square error from the network
- fann_set_training_algorithm() - Sets the training algorithm